
#ifndef  ICS2_RX72T_H
#define  ICS2_RX72T_H

                                      //T6214     /REL
#define   ICS_SCI1_PD3_PD5    (0x10)  // CN15(E1)
#define   ICS_SCI5_PD7_PE0    (0x50)  // CN20(E1)
#define   ICS_SCI5_PB5_PB6    (0x51)  // CN18    (REL)
#define   ICS_SCI6_PB0_PB1    (0x60)  // CN13    (REL) (default)
#define   ICS_SCI8_PD0_PD1    (0x80)  // CN16      
#define   ICS_SCI8_PC1_PC0    (0x81)  // CN17    (REL)
#define   ICS_SCI8_PA4_PA5    (0x82)  // CN11      
#define   ICS_SCI8_P23_P22    (0x83)  // CN5       
#define   ICS_SCI9_P01_P00    (0x90)  // CN14      
#define   ICS_SCI9_PA3_PA2    (0x91)  // CN19      
#define   ICS_SCI9_PG1_PG0    (0x92)  // CN7       
#define   ICS_SCI11_PD3_PD5   (0xB1)  // CN15(E1)  
#define   ICS_SCI11_PB5_PB6   (0xB2)  // CN18      
#define   ICS_SCI11_PA0_PA1   (0xB3)  // CN3       
#define   ICS_SCI11_PF0_PF1   (0xB4)  // CN19    (new)
#define   ICS_SCI12_PB5_PB6   (0xC0)  // CN18    (REL)
#define   ICS_SCI12_P23_P22   (0xC1)  // CN5       
#define   ICS_SCI12_P01_P00   (0xC2)  // CN14      



void     ics2_init(void * addr, uint8_t port, uint8_t level, uint8_t speed, uint8_t mode);
void     ics2_watchpoint(void);
uint32_t ics2_version(void);

void     ics_int_sci_rxi(void);

#endif  // ICS2_RX72T_H
